--- eddie-1.5.1/system/system.mk.orig	2000-12-15 23:43:58.000000000 +0200
+++ eddie-1.5.1/system/system.mk	2005-07-15 22:11:58.744116375 +0300
@@ -1,14 +1,14 @@
 
-ERTS_VSN      = 5.0.1.1
+ERTS_VSN      = 5.4.6
 SYSTEM_VSN    = 1.5.1
 
-KERNEL_VSN    = 2.6.1.5
-STDLIB_VSN    = 1.9.2
-SASL_VSN      = 1.9.1
-OS_MON_VSN    = 1.3.9
-MNESIA_VSN    = 3.9.3
+KERNEL_VSN    = 2.10.7
+STDLIB_VSN    = 1.13.7
+SASL_VSN      = 2.0.1
+OS_MON_VSN    = 1.7.3
+MNESIA_VSN    = 4.2.2
 MNEMOSYNE_VSN = 1.2.5
-ERL_INTERFACE_VSN = 3.2.4
+ERL_INTERFACE_VSN = 3.5.3
 
 
 
--- eddie-1.5.1/misc/c_src/syslog_drv.c.orig	2000-10-28 01:20:26.000000000 +0300
+++ eddie-1.5.1/misc/c_src/syslog_drv.c	2005-07-15 21:55:09.457136618 +0300
@@ -35,7 +35,7 @@
 #include <sys/un.h>
 #include <syslog.h>
 #include "config.h"
-#include "driver.h"		/* Erlang driver definitions */
+#include "obsolete/driver.h"		/* Erlang driver definitions */
 
 /* forward declarations */
 static long log_start(long port, char * buf);
--- eddie-1.5.1/misc/c_src/fdsrv_drv.c.orig	2000-10-28 01:20:26.000000000 +0300
+++ eddie-1.5.1/misc/c_src/fdsrv_drv.c	2005-07-15 21:54:46.943241133 +0300
@@ -40,7 +40,7 @@
 #include <sys/uio.h>
 #include <sys/un.h>
 #include "config.h"
-#include "driver.h"		/* Erlang driver definitions */
+#include "obsolete/driver.h"		/* Erlang driver definitions */
 
 /* forward declarations */
 static long start();
--- eddie-1.5.1/ecmd/Makefile.orig	2000-12-16 00:33:14.000000000 +0200
+++ eddie-1.5.1/ecmd/Makefile	2005-07-15 22:03:48.457515724 +0300
@@ -39,9 +39,9 @@
 include $(EDDIE_ROOT)/system/system.mk
 
 ifeq ($(TARGET_OS),bsd)
-   LIBS      = -L/usr/local/lib/erlang/lib/erl_interface-$(ERL_INTERFACE_VSN)/lib -lerl_interface -lei 
+   LIBS      = -L/usr/lib/erlang/lib/erl_interface-$(ERL_INTERFACE_VSN)/lib -lerl_interface -lei 
 else
-   LIBS      = -L/usr/local/lib/erlang/lib/erl_interface-$(ERL_INTERFACE_VSN)/lib -lerl_interface -lei -lresolv 
+   LIBS      = -L/usr/lib/erlang/lib/erl_interface-$(ERL_INTERFACE_VSN)/lib -lerl_interface -lei -lresolv -lpthread
 endif
 
 ifeq ($(findstring cygwin,$(TARGET_OS)),cygwin)
--- eddie-1.5.1/ecmd/ecmd.c.orig	2000-10-28 01:20:24.000000000 +0300
+++ eddie-1.5.1/ecmd/ecmd.c	2005-07-15 22:02:46.943730702 +0300
@@ -834,7 +834,7 @@
       initWinSock();
 #endif
 
-      gethostname(h_hostname, MAXHOSTLEN);
+      gethostname(h_hostname, MAXHOSTNAMELEN);
       if ((hp = erl_gethostbyname(h_hostname)) == 0) {
 	  ecmd_err_quit("<ERROR> erl_call: Can't gethostbyname()");
       }
--- eddie-1.5.1/dns_server/system/system.mk.orig	2000-12-15 23:43:37.000000000 +0200
+++ eddie-1.5.1/dns_server/system/system.mk	2005-07-15 22:11:48.846921533 +0300
@@ -1,9 +1,9 @@
 
-ERTS_VSN = 5.0.1.1
+ERTS_VSN = 5.4.6
 SYSTEM_VSN = 1.5.1
 
-KERNEL_VSN = 2.6.1.5
-STDLIB_VSN = 1.9.2
-SASL_VSN = 1.9.1
-CRYPTO_VSN = 1.1.2
+KERNEL_VSN = 2.10.7
+STDLIB_VSN = 1.13.7
+SASL_VSN = 2.0.1
+CRYPTO_VSN = 1.2.3
 
